package com.jpsoft.shinestar.modules.sys.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.shinestar.modules.sys.entity.Role;
import com.jpsoft.shinestar.modules.sys.entity.UserRole;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface UserRoleService {
	UserRole get(String id);
	boolean exist(String id);
	int insert(UserRole model);
	int update(UserRole model);
	int delete(String id);
	List<UserRole> list();
	Page<UserRole> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,List<Sort> sortList);
    List<Role> findRoleByUserId(String userId);
	int deleteByUserId(String userId);
}